package ru.dbotthepony.mc.otm.data

import com.mojang.serialization.DataResult
import net.minecraft.world.level.storage.loot.LootContext
import net.minecraft.world.level.storage.loot.parameters.LootContextParam

operator fun <T> LootContext.get(param: LootContextParam<T>): T? {
	return getParamOrNull(param)
}

fun <T> DataResult<T>.getOrNull(): T? {
	return get().left().orElse(null)
}
